dofile_once("data/scripts/lib/utilities.lua")

ModLuaFileAppend("data/scripts/gun/gun_actions.lua", "mods/palpatine_mod/files/actions.lua")

function replace_value(path, input, output)
	local content = ModTextFileGetContent(path)
	content = content:gsub(input, output)
	ModTextFileSetContent(path, content)
end

replace_value("data/entities/base_wand_pickup.xml", 
[[</Entity>]], 
[[<LuaComponent
    script_throw_item="mods/palpatine_mod/files/ensure_fists_exist.lua"
  ></LuaComponent>
</Entity>]]
)

function OnPlayerSpawned(player_entity)
    local cape = EntityGetWithName("cape")
	local jetpack = EntityGetWithTag("jetpack")
    edit_component(cape, "VerletPhysicsComponent", function(comp,vars)
        vars.cloth_color = 0xFF000000
        vars.cloth_color_edge = 0xFF1d1d1d
	end)
end